#!/usr/bin/python
import string, sys, operator, getopt

rev = "0.0.5"

# smgcfg.py - converts a .csv file containing SMG configuration information 
#             into the .conf files required by the SMG system
#
# rev history
# -------------------------------------------------------------------------------
# 0.0.1 - initial release
# 0.0.2 - 2008-12-11 Th; implement requirement that first SMG interface 
#          activated is a TDM_VOICE_API;
#          this means that if ss7boxd is running then the first wanpipe started by
#          ss7boxd must first activate a TDM_VOICE_API interface; this interface must
#          be either real or an unused dummy; if ss7boxd is not running then the first
#          SMG wanpipe will activate a TDM_VOICE_API interface by default so nothing
#          is needed in this program in this case; implementing this requirement means
#          that ss7box config information is needed before making the wanpipe conf files,
#          there will be a change in the order of tasks in this program: first collect
#          info then build conf files
# 0.0.3 - 2009-01-21; changed ss7boost.conf default hearbeat rate to 5.00 sec;
#          wXgY interface names for xmtp2 links must have Y==active channel; this means 
#          the voice wXgY name will have a Y value that is not an SS7 link channel
# 0.0.4 - 2009-01-21; extended wXgY concept to ss7boost.conf TRUNK section
# 0.0.5 - 2009-02-27 Fr; path_entry had no index 3 if no B linkset defined; checked len 
#          before using index 3

# TODO list
# 1. create wanrouter.rc
# 3. create the tgX_.... timer conf files
# 4. ss7box.conf, SS7BOOST_RTE, each rte entry must have port = 50220 + (2*index); this port must be 
#    used in the cluster nodes ss7boost.conf SS7BOX section.
# 5. HW echo control option
# 6. allow for more than 1 ss7 link per span
# 7. accomodate upcoming individual span/chan assignment of CIC and t-g

def usage():
	print
	sys.stderr.write('Usage:\n')
	sys.stderr.write('     smgcfg.py -h       // help\n');
	sys.stderr.write('     smgcfg.py -f <path/filename of CSV input file>\n')
	sys.stderr.write('\n')
	sys.exit(2)
	return

#----main----

try:
	optList, args = getopt.getopt(sys.argv[1:], 'f:h', ['help'])
except getopt.GetoptError:
	usage()

fn = ""

for o, a in optList:
	if o in ("-h", "--help"):
		usage()
	elif o == "-f":
		fn = a
	else:
		usage()

if fn == "":
	usage()

try:
	fin = open (fn)
except IOError:
	print "Could not open file: %s" % fn
	print
	sys.exit(1)

L = fin.readline ()
var_list = L.split (",")
var_list_len = len(var_list)
print var_list_len
print var_list
if len(var_list) < 5:
	print "using smgcfg00.py"
else:
	ss_rev=var_list[4].strip()
	print "-%s-" % ss_rev

	if ss_rev =="0.1":
		print "using smgcfg01.py"

	else:
		print "invalid spreadsheet revision string"
